Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10951

Department: G3-3 Affected Products: ADTF 3.11.0, ADTF 3.11.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

Currently Error-Messages are single line texts. If they contain long paths (e.g. a file/plugin is not found) than your usual wide screen

isn't enough to display the complete message.

It would be helpful if the warning/error text would be split up into multiple lines that can be displayed on a single screen (and ideally

be copied to the clipboard).

Lösung

The error message stretches over two 27" Monitors. It would be great if a line break was automatically inserted after a sensible

number of characters. Working in a single monitor setup the error message is unreadable.

The error/warning/info dialogs within CE will be refactored in upcoming versions (>= 3.13) including this topic:

[ACORE-10951] - Split tResult error messages in CE message dialogs

We already finished this for upcoming 3.12 regarding runtime messages, configuration messages are not finished yet.

At the moment, the qml base does not support the line breaks from error log...

As a "workaround" I can only provide you ignore this message (click OK, ESC or enter) and have a look at Validation Protocol (right

click and Details)

History

#1 - 2021-03-24 10:24 - hidden

- Status changed from New to In Progress

- Platform Windows 10 64bit added

#2 - 2021-03-24 10:35 - hidden

Hello Sebastian,

can you give me please an example how to reproduce the behaviour. Thanks in Advance.

#3 - 2021-03-31 14:10 - hidden

- File clipboard-202103311606-wbbgq.png added

Hi,

Here is the requested Screenshot:

 clipboard-202103311606-wbbgq.png 

The error message stretches over two 27" Monitors. It would be great if a line break was automatically inserted after a sensible number of characters.

Working in a single monitor setup the error  message is unreadable.

PS: Is there any way to edit my initial issue. If I click on "edit" it simply adds a comment. I'd really like to clean up my formatting of initial posting.
#4 - 2021-04-01 13:36 - hidden

- Topic set to ADTF::Common

#5 - 2021-04-07 15:15 - hidden

- Project changed from 30 to Public Support

- Subject changed from No Multiline Error-Messages  in Error-Warning-Box to No Multiline Error-Messages in Error-Warning-Box

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10951

Hi Sebastian,

The error message stretches over two 27" Monitors. It would be great if a line break was automatically inserted after a sensible number of

characters. Working in a single monitor setup the error message is unreadable.

The error/warning/info dialogs within CE will be refactored in upcoming versions (>= 3.13) including this topic:

[ACORE-10951] - Split tResult error messages in CE message dialogs

We already finished this for upcoming 3.12 regarding runtime messages, configuration messages are not finished yet.

At the moment, the qml base does not support the line breaks from error log...

As a "workaround" I can only provide you ignore this message (click OK, ESC or enter) and have a look at Validation Protocol (right click and Details)

PS: Is there any way to edit my initial issue. If I click on "edit" it simply adds a comment. I'd really like to clean up my formatting of initial posting.

 No, we will do this for you.

It is important for our workflow to freeze inputs by customer.

#6 - 2021-07-26 13:22 - hidden

- Customer changed from Car.SW Org. to CARIAD

#7 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
